Bug 431567 - Invalid kickstart file couses s-c-k to fail with backtrace
Invalid kickstart file couses s-c-k to fail with backtrace
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2008-02-05 09:51 EST by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0343
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Invalid example kickstartfile (825 bytes, text/plain)
2008-02-05 09:51 EST, Michal Nowak
no flags Details

  None (edit)
Description Michal Nowak 2008-02-05 09:51:58 EST
Description of problem:

Running s-c-k on invalid KS file causes backtrace

.qa.[root@s390x-5s-3-v1 tps]# system-config-kickstart
Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 274, in
  File "/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 1151, in
    self.handleCommand(lineno, args)
  File "/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 1015, in
    raise KickstartParseError, formatErrorMsg(lineno, msg=_("Unknown command:
%s" % cmd))
pykickstart.parser.KickstartParseError: The following problem occurred on line 3
of the kickstart file:

Unknown command: authi

opening file via File->Open File causes mentioned output which is directed only
to stdout so user who ran s-c-k from GUI menu won't see what happened (that the
KS file is invalid), and selecting Cancel doesn't work too, Esc has to be
pressed. Even opening valid file after invalid one is not possible.

Version-Release number of selected component (if applicable):


How reproducible: always

Actual results:

Error MSG in stdout.
Not possible to load valid KS file not cancel the window.

Expected results:

No traceback.
Error MSG in standard GTK+ window.
Possible to load valid KS file and/or cancel the window.
Comment 1 Michal Nowak 2008-02-05 09:51:58 EST
Created attachment 293999 [details]
Invalid example kickstartfile
Comment 2 Michal Nowak 2008-02-05 09:54:14 EST
Comment on attachment 293999 [details]
Invalid example kickstartfile

Mention the 3rd line, 1st word.
Comment 3 Chris Lumens 2008-02-05 10:27:14 EST
Commit 9f523e4a78100b8eb63e76927b478d60713d7b9b from HEAD fixes this issue, so
we have a tested and working patch.  If QA is fine with me pulling this patch in
for 5.2, I'm all for it.  Otherwise we'll just have to wait for next time.
Comment 4 RHEL Product and Program Management 2008-02-05 10:27:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 5 Michal Nowak 2008-02-05 11:38:54 EST
if QA_ACK then I'll take care of it as part of RHBA-2008:8061-01.
Comment 16 errata-xmlrpc 2008-05-21 12:57:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.